## dune-grid 2.9.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

cmake_minimum_required(VERSION 3.13)
project("dune-grid" C CXX)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

# create the dune library for dune-grid
dune_add_library(dunegrid)
target_link_libraries(dunegrid PUBLIC ${DUNE_LIBS})

# create a dune library for the albertagrid
if(Alberta_FOUND)
  foreach(_dim ${ALBERTA_WORLD_DIMS})
    dune_add_library(dunealbertagrid${_dim}d NO_MODULE_LIBRARY)
    target_link_libraries(dunealbertagrid${_dim}d PUBLIC
      dunegrid Alberta::AlbertaGrid_${_dim}d)
    target_compile_definitions(dunealbertagrid${_dim}d PUBLIC
      ALBERTA_DIM=${_dim} ENABLE_ALBERTA=1)
  endforeach(_dim)
endif()

# create alias HAVE_UG
set(HAVE_UG ${HAVE_DUNE_UGGRID})

add_subdirectory("dune")
add_subdirectory("doc")
add_subdirectory("src")
add_subdirectory("cmake/modules")

# if Python bindings are enabled, include necessary sub directories.
if(DUNE_ENABLE_PYTHONBINDINGS)
  add_subdirectory("python")
endif()

# Use a  custom section to export path to the grid examples.
set(DUNE_CUSTOM_PKG_CONFIG_SECTION "#Export the directory with the grid example for downstream modules
if(${ProjectName}_INSTALLED)
  set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${PACKAGE_PREFIX_DIR}/${CMAKE_INSTALL_DOCDIR}/grids/\")
else()
  set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${PACKAGE_PREFIX_DIR}/doc/grids/\")
endif()
")
# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(doxygen)
add_subdirectory(grids)
add_subdirectory(recipes)

=== dune/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(grid)
# if Python bindings are enabled, include necessary sub directories.
if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory("python")
endif()

=== lib/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES dunegridam2cmake.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)

=== python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(dune)

dune_python_configure_bindings(
  PATH "."
  CMAKE_METADATA_FLAGS DUNE_OPTS_FILE HAVE_ALBERTA HAVE_DUNE_UGGRID
)
if(POLICY CMP0087)
  cmake_policy(SET CMP0087 NEW)
endif()

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(gridinfo-gmsh)

=== cmake/modules/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

include(GNUInstallDirs)

install(FILES
  AddAlbertaFlags.cmake
  DuneGridMacros.cmake
  FindAlberta.cmake
  GridType.cmake
  UseUG.cmake
  DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== doc/doxygen/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# shortcut for creating the Doxyfile.in and Doxyfile
add_doxygen_target()

=== doc/grids/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(amc)
add_subdirectory(gridfactory)
add_subdirectory(gmsh)
add_subdirectory(starcd)
add_subdirectory(dgf)

=== doc/recipes/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception


dune_add_test(SOURCES recipe-iterate-over-grid.cc)
dune_add_test(SOURCES recipe-integration.cc)

=== dune/grid/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(albertagrid)
add_subdirectory(common)
add_subdirectory(geometrygrid)
add_subdirectory(identitygrid)
add_subdirectory(io)
add_subdirectory(onedgrid)
add_subdirectory(test)
add_subdirectory(uggrid)
add_subdirectory(utility)
add_subdirectory(yaspgrid)

install(FILES
  albertagrid.hh
  geometrygrid.hh
  identitygrid.hh
  onedgrid.hh
  uggrid.hh
  yaspgrid.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid)

=== dune/python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(grid)
add_subdirectory(test)

=== debian/changelog ===
dune-grid (2.9.0-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:54:25 +0000

dune-grid (2.9.0-3) unstable; urgency=medium

  * Temporarily remove build dependency on python3-vtk9
    (Deactivates parsing generated vtk files)
  * Account for rounding errors on float representing gmsh version.
    (Closes: #1064561)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 12 Mar 2024 14:53:57 +0100

dune-grid (2.9.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 23:10:10 +0100

dune-grid (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/control: Depend on python3-vtk9 instead of python3-vtk7
  * d/upstream: Added metadata file
  * d/patches: Refreshed and fixed version in dune.module
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sun, 08 Jan 2023 11:27:36 +0100

=== debian/control ===
Source: dune-grid
Section: libs
Priority: optional
Standards-Version: 4.6.2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
Vcs-Browser: https://salsa.debian.org/science-team/dune-grid
Vcs-Git: https://salsa.debian.org/science-team/dune-grid.git
Homepage: https://www.dune-project.org/
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-common-dev (>= 2.9.0),
 libdune-geometry-dev (>= 2.9.0),
 libdune-uggrid-dev (>= 2.9.0),
 libalberta-dev (>= 2.0.1-5),
 libgmp-dev
# Dependency on python-vtk9 skipped as it breaks tests due to
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1064762
# python3-vtk9
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
Rules-Requires-Root: no

Package: libdune-grid-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.9.0),
 libdune-geometry-dev (>= 2.9.0),
 libdune-uggrid-dev (>= 2.9.0),
 libalberta-dev (>= 2.0.1-5)
Suggests: libdune-grid-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- grid interface (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the grid interface.

Package: libdune-grid-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Built-Using: ${dune:doc:Built-Using}
Description: toolbox for solving PDEs -- grid interface (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the grid interface.

## dune-grid 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.16)
 project("dune-grid" C CXX)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
@@ -22,17 +22,21 @@
 dune_project()
 
 # create the dune library for dune-grid
-dune_add_library(dunegrid)
+dune_add_library(dunegrid EXPORT_NAME Grid)
 target_link_libraries(dunegrid PUBLIC ${DUNE_LIBS})
 
 # create a dune library for the albertagrid
 if(Alberta_FOUND)
   foreach(_dim ${ALBERTA_WORLD_DIMS})
-    dune_add_library(dunealbertagrid${_dim}d NO_MODULE_LIBRARY)
+    dune_add_library(dunealbertagrid${_dim}d NO_MODULE_LIBRARY EXPORT_NAME AlbertaGrid${_dim}D)
     target_link_libraries(dunealbertagrid${_dim}d PUBLIC
-      dunegrid Alberta::AlbertaGrid_${_dim}d)
+      dunegrid Alberta::AlbertaGrid${_dim}D)
     target_compile_definitions(dunealbertagrid${_dim}d PUBLIC
-      ALBERTA_DIM=${_dim} ENABLE_ALBERTA=1)
+      ALBERTA_DIM=${_dim} HAVE_ALBERTA=1)
+    if(Alberta_DEBUG)
+      target_compile_definitions(dunealbertagrid${_dim}d PUBLIC
+        ALBERTA_DEBUG=1)
+    endif()
   endforeach(_dim)
 endif()
 
@@ -52,10 +56,10 @@
 # Use a  custom section to export path to the grid examples.
 set(DUNE_CUSTOM_PKG_CONFIG_SECTION "#Export the directory with the grid example for downstream modules
 if(${ProjectName}_INSTALLED)
-  set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${PACKAGE_PREFIX_DIR}/${CMAKE_INSTALL_DOCDIR}/grids/\")
+  set_and_check(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${dune-grid_PREFIX}/${CMAKE_INSTALL_DOCDIR}/grids/\")
 else()
-  set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${PACKAGE_PREFIX_DIR}/doc/grids/\")
+  set_and_check(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${dune-grid_PREFIX}/doc/grids/\")
 endif()
 ")
 # finalize the dune project, e.g. generating config.h etc.
-finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
+finalize_dune_project()

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(doxygen)
add_subdirectory(grids)
add_subdirectory(recipes)

=== dune/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(grid)

=== python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(dune)

dune_python_configure_bindings(
  PATH "."
  CMAKE_METADATA_FLAGS DUNE_OPTS_FILE HAVE_ALBERTA HAVE_DUNE_UGGRID
)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(gridinfo-gmsh)

=== cmake/modules/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

include(GNUInstallDirs)

install(FILES
  AddAlbertaFlags.cmake
  DuneGridMacros.cmake
  FindAlberta.cmake
  GridType.cmake
  DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== doc/grids/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(amc)
add_subdirectory(gridfactory)
add_subdirectory(gmsh)
add_subdirectory(starcd)
add_subdirectory(dgf)

=== doc/recipes/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception


dune_add_test(SOURCES recipe-iterate-over-grid.cc)
dune_add_test(SOURCES recipe-integration.cc)

=== dune/grid/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(albertagrid)
 add_subdirectory(common)
+add_subdirectory(concepts)
 add_subdirectory(geometrygrid)
 add_subdirectory(identitygrid)
 add_subdirectory(io)
@@ -14,6 +15,7 @@
 
 install(FILES
   albertagrid.hh
+  concepts.hh
   geometrygrid.hh
   identitygrid.hh
   onedgrid.hh

=== dune/python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(grid)
add_subdirectory(test)

=== python/dune/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(grid)

=== src/gridinfo-gmsh/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

if(ALBERTA_2D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)
  add_executable(dune-gridinfo-gmsh-alberta-2d gridinfo-gmsh-alberta-2d.cc)
  target_link_libraries(dune-gridinfo-gmsh-alberta-2d PRIVATE dunegrid)
  add_dune_alberta_flags(dune-gridinfo-gmsh-alberta-2d GRIDDIM 2)
  set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-alberta-2d)
endif(ALBERTA_2D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)

if(ALBERTA_3D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)
  add_executable(dune-gridinfo-gmsh-alberta-3d gridinfo-gmsh-alberta-3d.cc)
  target_link_libraries(dune-gridinfo-gmsh-alberta-3d PRIVATE dunegrid)
  add_dune_alberta_flags(dune-gridinfo-gmsh-alberta-3d GRIDDIM 3)
  set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-alberta-3d)
endif(ALBERTA_3D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)

if(dune-uggrid_FOUND AND ENABLE_GRID_EXTRA_UTILS)
  add_executable(dune-gridinfo-gmsh-ug-2d gridinfo-gmsh-ug-2d.cc)
  add_dune_ug_flags(dune-gridinfo-gmsh-ug-2d)
  add_executable(dune-gridinfo-gmsh-ug-3d gridinfo-gmsh-ug-3d.cc)
  add_dune_ug_flags(dune-gridinfo-gmsh-ug-3d)
  set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-ug-2d dune-gridinfo-gmsh-ug-3d)
endif()

if(PROGRAMS)
  install(TARGETS ${PROGRAMS} DESTINATION ${CMAKE_INSTALL_BINDIR})
endif(PROGRAMS)

=== debian/changelog ===
dune-grid (2.10.0-1build2) questing; urgency=medium

  * Rebuild against latest alberta

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:49:13 -0400

dune-grid (2.10.0-1build1) plucky; urgency=medium

  * No-change rebuild for libopenmpi40

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Dec 2024 11:55:49 +0000

dune-grid (2.10.0-1) unstable; urgency=medium

  * New upstream release 2.10.0
  * Added debian/watch file
  * d/patches: Fix location in example-grids-install-location.patch
  * d/rules: Use chrpath to strip RPATH/RUNPATH from installed libs.
  * d/control: Depend on pkgconf instead of obsolete pkg-config
  * d/control: Bumped standards version to 4.7.0 (no-change)
  * Refreshed patches
  * d/control: Depend on DUNE 2.10

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 21:09:51 +0100

dune-grid (2.10~pre20240905-3) experimental; urgency=medium

  * d/patches: Fix location in example-grids-install-location.patch

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Oct 2024 07:47:03 +0200

dune-grid (2.10~pre20240905-2) experimental; urgency=medium

  * d/patches: Fixed wrong path of example grids in CMake's package config
  * d/patches: Fixed typo in example-grids-install-location.patch
  * d/rules: Use chrpath to strip RPATH/RUNPATH from installed libs.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 21 Oct 2024 22:39:19 +0200

dune-grid (2.10~pre20240905-1) experimental; urgency=medium

  * New upstream release (2.10~pre20240905).
  * d/control: Depend on pkgconf instead of obsolete pkg-config
  * d/control: Bumped standards version to 4.7.0 (no-change)
  * Refreshed patches
  * d/control: Deoend on DUNE 2.10

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 18 Oct 2024 08:41:20 +0200

dune-grid (2.9.0-4) unstable; urgency=medium

  * Readd build dependency on python3-vtk9 to test vtk output

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 30 Apr 2024 17:22:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: dune-grid
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.7.0
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-grid
 Vcs-Git: https://salsa.debian.org/science-team/dune-grid.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.9.0),
- libdune-geometry-dev (>= 2.9.0),
- libdune-uggrid-dev (>= 2.9.0),
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
+ chrpath,
+ libdune-common-dev (>= 2.10~),
+ libdune-geometry-dev (>= 2.10~),
+ libdune-uggrid-dev (>= 2.10~),
  libalberta-dev (>= 2.0.1-5),
- libgmp-dev
-# Dependency on python-vtk9 skipped as it breaks tests due to
-# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1064762
-# python3-vtk9
+ libgmp-dev,
+ python3-vtk9
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -26,9 +24,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.9.0),
- libdune-geometry-dev (>= 2.9.0),
- libdune-uggrid-dev (>= 2.9.0),
+ libdune-common-dev (>= 2.10~),
+ libdune-geometry-dev (>= 2.10~),
+ libdune-uggrid-dev (>= 2.10~),
  libalberta-dev (>= 2.0.1-5)
 Suggests: libdune-grid-doc (= ${source:Version})
 Provides: ${dune:shared-library}

## dune-grid 2.11.0~git20251211

=== dune/grid/common/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# Link all test targets in this directory against Dune::Grid
link_libraries(Dune::Grid)

dune_add_test(SOURCES scsgmappertest.cc)
dune_add_test(SOURCES mcmgmappertest.cc)

=== dune/grid/utility/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# Link all test targets in this directory against Dune::Grid
link_libraries(Dune::Grid)

dune_add_test(SOURCES globalindexsettest.cc)

dune_add_test(SOURCES persistentcontainertest.cc)

dune_add_test(SOURCES structuredgridfactorytest.cc)

dune_add_test(SOURCES tensorgridfactorytest.cc)

dune_add_test(SOURCES vertexordertest.cc)

=== dune/grid/io/file/gmsh/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

set(HEADERS
  filereader.hh
  gmsh2parser.hh
  gmsh4reader.hh
  gmsh4reader.impl.hh
  gridcreatorinterface.hh
  types.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/io/file/gmsh)

target_sources(dunegrid PRIVATE
  types.cc)

add_subdirectory(gridcreators)
add_subdirectory(utility)

=== debian/changelog ===
dune-grid (2.11.0~git20251211-2) experimental; urgency=medium

  * Skip gmsh4readertest on non-64bit-hardware.
  * Added libscotchparmetis-dev to build dependencies.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 05 Jan 2026 22:47:55 +0100

dune-grid (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/patches: Backported fix for deadlocking vtktest in parallel.
  * d/control: Depend on DUNE packages >= 2.11.0~

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 18:03:53 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Vcs-Git: https://salsa.debian.org/science-team/dune-grid.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
- chrpath,
- libdune-common-dev (>= 2.10~),
- libdune-geometry-dev (>= 2.10~),
- libdune-uggrid-dev (>= 2.10~),
- libalberta-dev (>= 2.0.1-5),
+ cmake (>= 3.13), gfortran, gnuplot, mpi-default-bin, mpi-default-dev, pkgconf, python3, chrpath,
+ libdune-common-dev (>= 2.11.0~),
+ libdune-geometry-dev (>= 2.11.0~),
+ libdune-uggrid-dev (>= 2.11.0~),
+ libalberta-dev,
  libgmp-dev,
+ libscotchparmetis-dev,
  python3-vtk9
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
@@ -24,10 +24,10 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.10~),
- libdune-geometry-dev (>= 2.10~),
- libdune-uggrid-dev (>= 2.10~),
- libalberta-dev (>= 2.0.1-5)
+ libdune-common-dev (>= 2.11.0~),
+ libdune-geometry-dev (>= 2.11.0~),
+ libdune-uggrid-dev (>= 2.11.0~),
+ libalberta-dev
 Suggests: libdune-grid-doc (= ${source:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- grid interface (development files)

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

ifneq ("$(DEB_HOST_ARCH_BITS)", "64")
	# exclude test from non-64 bit machines
	export DUNE_CTEST_OPTIONS=-E gmsh4readertest
endif

override_dh_install:
	# Manual delete runpath set by openmpi 5.0.5
	# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085509
	find debian/tmp/ -name \*.so -o  -name \*.so.\* -exec chrpath -d '{}' \; || true
	dh_install

override_dh_auto_test:
	dh_auto_build -- $(DUNE_TEST_BUILD_TARGETS)
	cd build; PATH=$(CURDIR)/debian/tmp-test:$$PATH $(DUNE_CTEST) $(DUNE_CTEST_OPTIONS) $(DUNE_TEST_CTEST_LABELS)

%:
	dh $@ --builddirectory=build --buildsystem=cmake

## dune-grid 2.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,12 +18,24 @@
 #include the dune macros
 include(DuneMacros)
 
+# deactivate global include-directories
+dune_policy(SET DP_DEFAULT_INCLUDE_DIRS NEW)
+
+# deactivate global calls to add_dune_all_flags in tests
+dune_policy(SET DP_TEST_ADD_ALL_FLAGS NEW)
+
+# do not making all suggested dependencies required automatically
+dune_policy(SET DP_SUGGESTED_MODULE_DEPENDENCIES_REQUIRED_DOWNSTREAM NEW)
+
 # start a dune project with information from dune.module
 dune_project()
 
 # create the dune library for dune-grid
 dune_add_library(dunegrid EXPORT_NAME Grid)
 target_link_libraries(dunegrid PUBLIC ${DUNE_LIBS})
+
+# set include directories to target
+dune_default_include_directories(dunegrid PUBLIC)
 
 # create a dune library for the albertagrid
 if(Alberta_FOUND)
@@ -38,6 +50,11 @@
         ALBERTA_DEBUG=1)
     endif()
   endforeach(_dim)
+endif()
+
+# if UG is found it becomes a required dependency for dunegrid
+if(dune-uggrid_FOUND)
+  dune_mark_module_as_required_dependency(MODULE dune-uggrid)
 endif()
 
 # create alias HAVE_UG

=== doc/recipes/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception


dune_add_test(SOURCES recipe-iterate-over-grid.cc LINK_LIBRARIES Dune::Grid)
dune_add_test(SOURCES recipe-integration.cc LINK_LIBRARIES Dune::Grid)

=== dune/grid/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(yasp)

# Link all test targets in this directory against Dune::Grid
link_libraries(Dune::Grid)

dune_add_test(SOURCES test-concepts.cc)

dune_add_test(SOURCES geometrygrid-coordfunction-copyconstructor.cc)

dune_add_test(NAME test-geogrid-yaspgrid
              SOURCES test-geogrid.cc
              COMPILE_DEFINITIONS COORDFUNCTION=IdenticalCoordFunction<double,2>
                                  CACHECOORDFUNCTION=0
                                  DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
                                  GRIDTYPE=Dune::YaspGrid<2>)

dune_add_test(NAME test-geogrid-uggrid
              SOURCES test-geogrid.cc
              COMPILE_DEFINITIONS COORDFUNCTION=IdenticalCoordFunction<double,2>
                                  CACHECOORDFUNCTION=0
                                  DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
                                  GRIDTYPE=Dune::UGGrid<2>
              CMAKE_GUARD dune-uggrid_FOUND)

dune_add_test(SOURCES test-gridinfo.cc)

dune_add_test(SOURCES test-identitygrid.cc)

dune_add_test(SOURCES test-oned.cc)

dune_add_test(SOURCES test-mcmg-geogrid.cc)

dune_add_test(SOURCES testiteratorranges.cc)

dune_add_test(SOURCES test-hierarchicsearch.cc)

dune_add_test(SOURCES test-ug.cc
              COMPILE_DEFINITIONS DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
              CMAKE_GUARD dune-uggrid_FOUND)

dune_add_test(SOURCES test-parallel-ug.cc
              CMAKE_GUARD dune-uggrid_FOUND
              MPI_RANKS 1 2 3 4 8
              TIMEOUT 300)

dune_add_test(SOURCES test-loadbalancing.cc
              CMAKE_GUARD dune-uggrid_FOUND)

dune_add_test(SOURCES issue-53-uggrid-intersections.cc
              CMAKE_GUARD dune-uggrid_FOUND)

# The alberta tests are only alibi-ported, until the  grid and world dimension
# are configuretime parameters and we can treat alberta just as any other grid manager
# - buildsystemwise. PLEASE DON'T LOOK AT THIS IF YOU WANT TO KNOW HOW TO WRITE TESTS.
if(Alberta_FOUND)
  foreach(WORLDDIM RANGE 1 3)
    foreach(GRIDDIM RANGE 1 ${WORLDDIM})
      set(_test test-alberta-${GRIDDIM}-${WORLDDIM})
      add_executable(${_test} EXCLUDE_FROM_ALL test-alberta.cc)
      add_dune_alberta_flags(${_test} WORLDDIM ${WORLDDIM})
      target_compile_definitions(${_test} PUBLIC
        GRIDDIM=${GRIDDIM}
        DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
      dune_add_test(TARGET ${_test})
      unset(_test)
    endforeach(GRIDDIM)
  endforeach(WORLDDIM)
endif()

# install the test tools as we want to support testing 3rdparty grids with installed dune-grid
install(FILES basicunitcube.hh
              check-albertareader.hh
              checkadaptation.hh
              checkcomcorrectness.hh
              checkcommunicate.hh
              checkentitylifetime.hh
              checkentityseed.hh
              checkgeometry.hh
              checkgeometryinfather.hh
              checkgridfactory.hh
              checkidset.hh
              checkindexset.hh
              checkintersectionit.hh
              checkintersectionlifetime.hh
              checkiterators.hh
              checkjacobians.hh
              checkpartition.hh
              checktwists.hh
              functions.hh
              gridcheck.hh
              staticcheck.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/test)

# clean up additional files during make clean. Unfortunately it is not possible with
# cmake to use search patterns here. Automake wanted to clean the following files:
# *.gcda *.gcno semantic.cache simplex-testgrid*.dgf.* cube-testgrid*.dgf.* dgfparser.log
# add files to the list as they appear.
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "semantic.cache;dgfparser.log")

=== dune/grid/albertagrid/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

if(Alberta_FOUND)
  add_executable(test-alberta3d-refine test-alberta3d-refine.cc)
  target_link_libraries(test-alberta3d-refine PRIVATE Dune::Grid)
  add_dune_alberta_flags(test-alberta3d-refine WORLDDIM 3)
  dune_add_test(TARGET test-alberta3d-refine)
endif()

=== dune/grid/io/file/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(gmsh)
add_subdirectory(test)
add_subdirectory(dgfparser)
add_subdirectory(vtk)
add_subdirectory(gnuplot)

set(HEADERS
  dgfparser.hh
  gmshreader.hh
  gmshwriter.hh
  gnuplot.hh
  printgrid.hh
  starcdreader.hh
  vtk.hh)

install(FILES ${HEADERS}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/io/file)

=== dune/grid/test/yasp/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# Link all test targets in this directory against Dune::Grid
link_libraries(Dune::Grid)

dune_add_test(NAME test-yaspgrid-backuprestore-equidistant
              SOURCES test-yaspgrid-backuprestore-equidistant.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(NAME test-yaspgrid-backuprestore-equidistantoffset
              SOURCES test-yaspgrid-backuprestore-equidistantoffset.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(NAME test-yaspgrid-backuprestore-tensor
              SOURCES test-yaspgrid-backuprestore-tensor.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(SOURCES test-yaspgrid-entityshifttable.cc)

dune_add_test(SOURCES test-yaspgrid-partitioner.cc)

dune_add_test(NAME test-yaspgrid-tensorgridfactory
              SOURCES test-yaspgrid-tensorgridfactory.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(NAME test-yaspgrid-yaspfactory-1d
              SOURCES test-yaspgrid-yaspfactory-1d.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(NAME test-yaspgrid-yaspfactory-2d
              SOURCES test-yaspgrid-yaspfactory-2d.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(NAME test-yaspgrid-yaspfactory-3d
              SOURCES test-yaspgrid-yaspfactory-3d.cc
              MPI_RANKS 1 2
              TIMEOUT 666
              )

dune_add_test(SOURCES test-yaspgrid-constructor.cc)

=== dune/grid/io/file/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# TODO when porting this file to dune_add_test, the GMSH test needed to be adapted.
# It previously relied on the flags added to the executable to switch different grid types.
# I have adapted it quickly by adding a preprocessor variable. This could be and should
# be done more nicely.
#

# Link all test targets in this directory against Dune::Grid
link_libraries(Dune::Grid)

dune_add_test(SOURCES conformvolumevtktest.cc)

dune_add_test(SOURCES gnuplottest.cc)

dune_add_test(SOURCES nonconformboundaryvtktest.cc)

dune_add_test(SOURCES printgridtest.cc)

# If VTK is found in venv, use that interpreter to run the tests
# otherwise use the interpreter of Python3::Python
unset(VTK_INTERPRETER_LOCATION)

option(DUNE_GRID_SKIP_VTK_PYTHON_TESTS
  "Skip tests that require VTK Python bindings.\n
  On some systems (e.g. Ubuntu, Debian) the VTK package, it is known that it cannot read binary files due to a security patch.\n
  See https://gitlab.dune-project.org/core/dune-grid/-/merge_requests/784"
  OFF)

if((TARGET Python3::Python) AND (NOT ${DUNE_GRID_SKIP_VTK_PYTHON_TESTS}))
  if(DUNE_PYTHON_VIRTUALENV_EXECUTABLE)
    dune_python_find_package(PACKAGE vtk
                             RESULT DUNE_PYTHON_VTK_FOUND
                             INTERPRETER ${DUNE_PYTHON_VIRTUALENV_EXECUTABLE})

    if(DUNE_PYTHON_VTK_FOUND)
      set(VTK_INTERPRETER_LOCATION ${DUNE_PYTHON_VIRTUALENV_EXECUTABLE})
    endif()
  endif()

  if(NOT VTK_INTERPRETER_LOCATION)
    get_target_property(VTK_INTERPRETER_LOCATION Python3::Interpreter LOCATION)
  endif()
endif()

# Note that an empty PYTHON_INTERPRETER will result in an skipped test
unset(VTK_COMPILE_DEFINITIONS)
if(VTK_INTERPRETER_LOCATION)
  message(STATUS "Using VTK interpreter at ${VTK_INTERPRETER_LOCATION} for tests")
  set(VTK_COMPILE_DEFINITIONS $<$<TARGET_EXISTS:Python3::Python>:PYTHON_INTERPRETER=L"${VTK_INTERPRETER_LOCATION}">)
endif()

dune_add_test(NAME subsamplingvtktest
              LINK_LIBRARIES ${DUNE_LIBS} $<TARGET_NAME_IF_EXISTS:Python3::Python>
              SOURCES subsamplingvtktest.cc test-linking.cc
              TIMEOUT 600
              COMPILE_DEFINITIONS ${VTK_COMPILE_DEFINITIONS})

dune_add_test(SOURCES vtktest.cc
              LINK_LIBRARIES ${DUNE_LIBS} $<TARGET_NAME_IF_EXISTS:Python3::Python>
              MPI_RANKS 1 2
              TIMEOUT 1200
              COMPILE_DEFINITIONS ${VTK_COMPILE_DEFINITIONS})

dune_add_test(SOURCES vtksequencetest.cc
              LINK_LIBRARIES ${DUNE_LIBS} $<TARGET_NAME_IF_EXISTS:Python3::Python>
              COMPILE_DEFINITIONS ${VTK_COMPILE_DEFINITIONS})

dune_add_test(SOURCES starcdreadertest.cc
              COMPILE_DEFINITIONS DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
              CMAKE_GUARD dune-uggrid_FOUND)

# the gmsh tests
dune_add_test(NAME gmshtest-onedgrid
              SOURCES gmshtest.cc
              COMPILE_DEFINITIONS GMSH_ONEDGRID
                                  DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")

dune_add_test(NAME gmshtest-uggrid
              SOURCES gmshtest.cc
              COMPILE_DEFINITIONS GMSH_UGGRID
                                  DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
              CMAKE_GUARD dune-uggrid_FOUND)

dune_add_test(NAME gmsh4readertest
              SOURCES gmsh4readertest.cc
              COMPILE_DEFINITIONS DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
              CMAKE_GUARD dune-uggrid_FOUND)

if(Alberta_FOUND)
  add_executable(gmshtest-alberta2d gmshtest.cc)
  add_dune_alberta_flags(gmshtest-alberta2d WORLDDIM 2)
  target_compile_definitions(gmshtest-alberta2d PUBLIC GMSH_ALBERTAGRID DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
  dune_add_test(TARGET gmshtest-alberta2d)

  add_executable(gmshtest-alberta3d gmshtest.cc)
  add_dune_alberta_flags(gmshtest-alberta3d WORLDDIM 3)
  target_compile_definitions(gmshtest-alberta3d PUBLIC GMSH_ALBERTAGRID DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
  dune_add_test(TARGET gmshtest-alberta3d)
endif()

=== dune/grid/io/file/dgfparser/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# Link all test targets in this directory against Dune::Grid
link_libraries(Dune::Grid)

dune_add_test(NAME test-dgf-yasp
              SOURCES test-dgf-yasp.cc
              COMPILE_DEFINITIONS DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
             )

dune_add_test(NAME test-dgf-yasp-offset
              SOURCES test-dgf-yasp.cc
              COMPILE_DEFINITIONS DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
                                  TESTCOORDINATES
              CMD_ARGS ${PROJECT_SOURCE_DIR}/doc/grids/dgf/test2d_offset.dgf)

dune_add_test(NAME test-dgf-oned
              SOURCES test-dgf-oned.cc
              COMPILE_DEFINITIONS DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
             )

if(Alberta_FOUND)
  add_executable(test-dgf-alberta test-dgf-alberta.cc)
  add_dune_alberta_flags(test-dgf-alberta WORLDDIM 2)
  target_compile_definitions(test-dgf-alberta PUBLIC
    DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\")
  dune_add_test(TARGET test-dgf-alberta)
endif()

dune_add_test(NAME test-dgf-ug
              SOURCES test-dgf-ug.cc
              COMPILE_DEFINITIONS DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\"
              CMAKE_GUARD dune-uggrid_FOUND)

dune_add_test(NAME test-dgf-gmsh-ug
              SOURCES test-dgf-ug.cc
              COMPILE_DEFINITIONS DUNE_GRID_EXAMPLE_GRIDS_PATH=\"${PROJECT_SOURCE_DIR}/doc/grids/\" DGFTEST_USE_GMSH=1
              CMAKE_GUARD dune-uggrid_FOUND)

=== dune/grid/io/file/gmsh/gridcreators/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

install(FILES
  continuousgridcreator.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/io/file/gmsh/gridcreators)

=== dune/grid/io/file/gmsh/utility/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

install(FILES
  errors.hh
  string.hh
  version.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/grid/io/file/gmsh/utility)

=== debian/changelog ===
dune-grid (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.11.0
  * Added config for salsa CI
  * Added debian/gdb.conf for dep-14 branch name convention

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 19:27:57 +0100

dune-grid (2.11.0~git20251211-5) experimental; urgency=medium

  * d/rules: Really fix exclusion of gmshreader tests.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 06 Jan 2026 14:43:24 +0100

dune-grid (2.11.0~git20251211-4) experimental; urgency=medium

  * d/rules: Correct exclusion of two different tests.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 06 Jan 2026 12:50:34 +0100

dune-grid (2.11.0~git20251211-3) experimental; urgency=medium

  * Skip gmshtest-uggrid on non-64bit-hardware.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 06 Jan 2026 09:56:55 +0100
